### Method

# GSSDP.ResourceGroup.add_resource_simple

#### Declaration [src]

    guint
    gssdp_resource_group_add_resource_simple (
      GSSDPResourceGroup* resource_group,
      const char* target,
      const char* usn,
      const char* location
    )

#### Description [src]

Adds a resource with target `target`, USN `usn`, and location `location` to `resource_group`. If the resource group is set `GSSDPResourceGroup:available`, it will be announced right away.

The resource id that is returned by this function can be used with `gssdp_resource_group_remove_resource()`.

#### Parameters

`target` | `const char*`
| The resource’s target
| The data is owned by the caller of the function
| The string is a NUL terminated UTF-8 string
`usn` | `const char*`
| The resource’s USN
| The data is owned by the caller of the function
| The string is a NUL terminated UTF-8 string
`location` | `const char*`
| The resource’s location
| The data is owned by the caller of the function
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `guint`
The ID of the added resource.